Bug 1339335 - Update xfce4-power-manager to current upstream release
Summary: Update xfce4-power-manager to current upstream release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager
Version: 23
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL: http://git.xfce.org/xfce/xfce4-power-...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 18:19 UTC by Woi
Modified: 2016-06-18 18:51 UTC (History)
3 users (show)

Fixed In Version: xfce4-power-manager-1.6.0-4.fc23 xfce4-power-manager-1.6.0-4.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-03 21:53:32 UTC
Type: Bug


Attachments (Terms of Use)
Fix startup delay (4.98 KB, patch)
2016-05-30 17:13 UTC, poma
no flags Details | Diff
Fix startup delay and systray menu lag (13.97 KB, patch)
2016-06-01 15:41 UTC, poma
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Xfce 12438 0 None None None 2016-05-24 18:20:57 UTC
Xfce 12605 0 None None None Never

Comment 1 Kevin Fenzi 2016-05-24 18:56:48 UTC
Yes, we know... it looks like this was built for f24/f23, but never pushed as a update for some reason. 

nonamedotc: Any reason not to push these out ?

Comment 2 Fedora Update System 2016-05-24 22:03:23 UTC
xfce4-power-manager-1.6.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d44b0d90a2

Comment 3 Fedora Update System 2016-05-24 22:03:38 UTC
xfce4-power-manager-1.6.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a23222067

Comment 4 Mukundan Ragavan 2016-05-24 22:04:05 UTC
(In reply to Kevin Fenzi from comment #1)
> Yes, we know... it looks like this was built for f24/f23, but never pushed
> as a update for some reason. 
> 
> nonamedotc: Any reason not to push these out ?

Nope. Just forgot. I have submitted to testing now.

Comment 5 Fedora Update System 2016-05-26 05:01:26 UTC
xfce4-power-manager-1.6.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d44b0d90a2

Comment 6 Fedora Update System 2016-05-26 05:02:30 UTC
xfce4-power-manager-1.6.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a23222067

Comment 7 Woi 2016-05-26 15:33:11 UTC
xfce4-power-manager-1.6.0-2.fc23 from updates-testing just crashed:
https://bugzilla.redhat.com/show_bug.cgi?id=1340171

Comment 8 Woi 2016-05-26 15:42:00 UTC
1.6 also takes a while to appear in tray icon after boot, while 1.5.2 appears instantly.

Comment 9 Fedora Update System 2016-05-27 01:39:53 UTC
xfce4-power-manager-1.6.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab452c4475

Comment 10 Fedora Update System 2016-05-27 01:40:11 UTC
xfce4-power-manager-1.6.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-defe029dae

Comment 11 Fedora Update System 2016-05-28 03:24:52 UTC
xfce4-power-manager-1.6.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-defe029dae

Comment 12 Fedora Update System 2016-05-28 03:26:13 UTC
xfce4-power-manager-1.6.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab452c4475

Comment 13 Woi 2016-05-28 10:28:49 UTC
I did some more tests with xfce4-power-manager-1.6.0-3.fc23 and stumbled about the following regression: 
* It takes ~10 sec. after reboot and login to appear in notification area.
* It takes ~2-3 sec to come up with a dialogue after right clicking the icon in notification area. 

Both worked instantly for me with xfce4-power-manager-1.5.2-6

Can somebody please confirm this behaviour change? I would then fill an upstream report.


I also experienced a segfault with Release 2 (1.6.0-2.fc23): https://bugzilla.redhat.com/show_bug.cgi?id=1340171

Comment 14 Kevin Fenzi 2016-05-28 18:11:44 UTC
Yeah, I can confirm the slowness. Not sure why it's doing that, but if you are willing to file upstream and tell us the bug back here that would be great!

Comment 15 Woi 2016-05-28 21:32:43 UTC
Thanks for confirming. Upstream bug can be found here: https://bugzilla.xfce.org/show_bug.cgi?id=12605

Comment 16 poma 2016-05-30 17:13:28 UTC
Created attachment 1162928 [details]
Fix startup delay

Load the inhibit proxy interface in an async callback
http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=92189ef

"Otherwise we may end up waiting for another part of xfpm that hasn't loaded yet."

Comment 17 poma 2016-06-01 15:41:20 UTC
Created attachment 1163735 [details]
Fix startup delay and systray menu lag


- Fix startup delay:
  Load the inhibit proxy interface in an async callback
  http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=92189ef

- Fix systray menu lag:
  Fix showing inhibits in the systray
  http://git.xfce.org/xfce/xfce4-power-manager/commit/?id=77fa8e5

Comment 18 Kevin Fenzi 2016-06-01 20:23:08 UTC
Yep. Those seem to fix things. Applied poma's patch (with a minor fix for a typo in patch2). 

Look for new builds here in a bit.

Comment 19 Fedora Update System 2016-06-01 20:48:30 UTC
xfce4-power-manager-1.6.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-463239c374

Comment 20 Fedora Update System 2016-06-01 20:48:47 UTC
xfce4-power-manager-1.6.0-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d194de6718

Comment 21 Mukundan Ragavan 2016-06-02 02:00:08 UTC
Thanks for pushing the update kevin.

Comment 22 Fedora Update System 2016-06-02 09:00:34 UTC
xfce4-power-manager-1.6.0-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d194de6718

Comment 23 Fedora Update System 2016-06-02 16:22:16 UTC
xfce4-power-manager-1.6.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-463239c374

Comment 24 Fedora Update System 2016-06-03 21:53:24 UTC
xfce4-power-manager-1.6.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Woi 2016-06-08 15:27:44 UTC
Thanks for your support guys :)

Comment 26 Fedora Update System 2016-06-18 18:50:59 UTC
xfce4-power-manager-1.6.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.